﻿{*
 *
 *   LightRepReg
 *
 *   LightReport2の登録ユニット
 *
 *  Copyright(c) 1998-2001 Takezou  All rights reserved.
 *  Copyright(c) 2001-2003 Ohtaka(Kazuyoshi Ohta)  All rights reserved.
 *
 *  このコンポーネントは2001年9月より全ての著作権がTakezouからOhtakaに
 *  両者合意の上譲渡されました
 *
 *   1998.10.30 作成
 *   2000.03.24 TLRVariableText, TLRPostBarItem追加
 *
 *}

unit LightRepReg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, LightRep, LightRepEx, LightRepEx2, LightRepPost,
  LRBarImg, DesignIntf, DesignEditors, LRConsts;

type
  TLRVerForm = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Label2: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private 宣言 }
  public
    { Public 宣言 }
  end;

  // TLightRepのバージョン情報フォーム
  TLightRepVer = class(TDefaultEditor)
  public
    procedure ExecuteVerb(Index: Integer); override;
    function GetVerb(Index: Integer): string; override;
    function GetVerbCount: Integer; override;
  end;

var
  LRVerForm: TLRVerForm;

procedure Register;

implementation

{$R *.DFM}

procedure TLRVerForm.Button1Click(Sender: TObject);
begin
  Close;
end;

function TLightRepVer.GetVerbCount: Integer;
begin
  Result := 1;
end;

function TLightRepVer.GetVerb(Index: Integer): string;
begin
  if Index = 0 then
    Result := LIGHTREP_ABOUTBOX_TEXT
  else Result := '';
end;

procedure TLightRepVer.ExecuteVerb(Index: Integer);
begin
  if Index = 0 then
    with TLRVerForm.Create(Application) do
    try
      Caption := LIGHTREP_ABOUTBOX_TEXT;
      Label1.Caption := LIGHTREP_TITLE_TEXT;
      Label2.Caption := 'Version ' + LIGHTREP_VERSION_TEXT;
      Label3.Caption := LIGHTREP_COPYRIGHT_TEXT1;
      Label4.Caption := LIGHTREP_COPYRIGHT_TEXT2;
      Label5.Caption := LIGHTREP_DESCRIPTION;
      ShowModal;
    finally
      Free;
    end;
end;

procedure Register;
begin
  RegisterComponents('LightReport2', [TLightRep]);
  RegisterComponents('LightReport2', [TLRLayoutPanel]);
  RegisterComponents('LightReport2', [TLRGridPanel]);
  RegisterComponents('LightReport2', [TLRSubPanel]);
  RegisterComponents('LightReport2', [TLRItem]);
  RegisterComponents('LightReport2', [TLRImage]);
  RegisterComponents('LightReport2', [TLRCustBarItem]);
  RegisterComponents('LightReport2', [TLRBarImage]);
  RegisterComponents('LightReport2', [TLRVariableText]);
  RegisterComponentEditor(TLightRep, TLightRepVer);
end;

end.
